<div class="page-layout carded fullwidth" fusePerfectScrollbar>

    <!-- TOP BACKGROUND -->
    <div class="top-bg {{secondColorBrand}}"></div>
  
      <div class="center">
  
        <!-- HEADER -->
      <div class="header white-fg" fxLayout="row" fxLayoutAlign="space-between center">
  
          <!-- APP TITLE -->
          <div fxLayout="row" fxLayoutAlign="start center">
    
                <button class="mr-16" mat-icon-button [routerLink]="'/users/installers'">
                    <mat-icon>arrow_back</mat-icon>
                  </button>
    
                <div class="logo my-12 m-sm-0"
                fxLayout="row" fxLayoutAlign="start center">
               <mat-icon class="logo-icon mr-16">assignment_ind</mat-icon>
               <span class="logo-text h1" >Editar Instalador</span>
           </div>
    
          </div>

          <div class="search-input-wrapper mx-12 m-md-0"
          fxFlex="1 0 auto" 
          fxLayout="row" fxLayoutAlign="end center">
        
          <form [formGroup]="generalForm" novalidate fxFlex="100" fxLayoutAlign="end center" fxLayoutGap="10px">
             
          
           <mat-form-field fxFlex="50">
             <mat-select placeholder="Status" formControlName="status" class="white-fg" (selectionChange)="onListValueChanged($event.value)">
               <mat-option *ngFor="let status of statusList" [value]="status.key">
                 {{ status.value }}
               </mat-option>
             </mat-select>
            </mat-form-field> 
          </form>
     </div>
    
        </div>
  
        <mat-card>
          <mat-card-content>
              <div class="panel">
                  <div class="panel-title" [ngClass]="primaryColorBrand" >
                    <span><mat-icon class="white-fg">assignment_ind</mat-icon></span>
                    <span class="white-fg">&nbsp;Dados do Instalador</span>
                  </div>
                <tnm-customer-personal></tnm-customer-personal>
              </div>
              <div class="panel">
                <div class="panel-title" [ngClass]="primaryColorBrand" >
                  <span><mat-icon class="white-fg">assignment_ind</mat-icon></span>
                  <span class="white-fg">&nbsp;Atualizar Login</span>
                </div>
                <div class="panel-content">
                  <form [formGroup]="generalForm" novalidate>

                      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                          <mat-form-field fxFlex="100">
                            <input type="email" matInput placeholder="Login"  formControlName="login" required>
                            <mat-error *ngIf="generalForm.get('login').hasError('required')">
                              Por favor, informe o e-mail
                            </mat-error>
                            <mat-error *ngIf="!generalForm.get('login').hasError('required') && generalForm.get('login').hasError('login')">
                              Por favor, informe um e-mail válido
                            </mat-error>
                          </mat-form-field>
                      </div>
                    
                    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                      <mat-form-field fxFlex="50">
                        <input matInput placeholder="Senha" formControlName="password"  minlength="8" >
                        <mat-error *ngIf="generalForm.get('password').hasError('required')">
                          Por favor, informe a senha
                        </mat-error>
                        <mat-error *ngIf="generalForm.get('password').hasError('minlength')">
                            A senha deve ter no mínimo 8 caracteres
                        </mat-error>
                        
                      </mat-form-field>
                    
                      <mat-form-field fxFlex="50">
                          <input matInput placeholder="Confirmação de senha" formControlName="confirmPassword" >
                          <mat-error *ngIf="generalForm.get('confirmPassword').hasError('passwordsNotMatch')">
                              As senhas devem ser iguais
                          </mat-error>
                        </mat-form-field>
                    </div>
                  </form>
                </div>   
              </div>
          </mat-card-content>
          <mat-card-actions>
              <div fxLayout="row" fxLayoutAlign="end end" fxLayoutGap="10px">
                  <button type="button" mat-raised-button (click)="cancel()">Cancelar</button>
                  <button type="button" color="primary" mat-raised-button (click)="updateCustomer()">Atualizar</button>
              </div>
          </mat-card-actions>
        </mat-card>  
        
      </div>
  </div>    